Bug 113356 - Numbering formats appearing as blank entries
Summary: Numbering formats appearing as blank entries
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Numbering-Formats Fields-Dialog
  Show dependency treegraph
 
Reported: 2017-10-22 19:12 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-11-25 09:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
5.4 vs master (56.20 KB, image/png)
2017-10-22 19:12 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-22 19:12:56 UTC
Created attachment 137211 [details]
5.4 vs master

Steps:
1. open writer
2. insert > field > more fields
3. variables tab
4. select 'number range' or 'show page variable'
5. notice that format listbox has blank entries

regression as this doesnt happen in 5.4.

Version: 6.0.0.0.alpha1+
Build ID: 118a0a3734a3f794c67a9d7d4376d8ed78a96fee
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Version: 5.4.3.0.0+
Build ID: fb64cf127dc6398f5d18d186a93966837db0bb1e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-09-27_12:54:32
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-10-22 19:31:12 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-06-11 19:56:30 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-07-21 07:20:50 (GMT)
commit	00657aef09d854c74fb426a935a3e8b1fc390bb0 (patch)
tree	fd1a9bb264fe15dcc129498e62060ecd256b1ee7
parent	fa987cbb813cfd729fe490f2f1258b7c8d7fb174 (diff)
migrate to boost::gettext

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2017-10-23 13:33:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec451bcb2831439faac9fdfb2dc981b0fa0a2961

Resolves: tdf#113356 Missing numbering formats in writer field ui list

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.